{
    "path": "$OET_PATH/testcases/function_test/pkg_test/alsa-tools/alsa-tools-firmware",
    "machine num": 1,
    "cases": [
        {
            "name": "test_alsa-tools-firmware_install",
            "desc": "测试软件包 alsa-tools-firmware 的安装功能，验证安装过程是否成功。",
            "machine num": 1
        },
        {
            "name": "test_alsa-tools-firmware_uninstall",
            "desc": "测试软件包 alsa-tools-firmware 的卸载功能，验证卸载过程是否成功。",
            "machine num": 1
        },
        {
            "name": "test_alsa-tools-firmware_hdsploader_no_arg",
            "desc": "不带任何参数运行hdsploader命令，检查其默认行为或提示信息"
        },
        {
            "name": "test_alsa-tools-firmware_hdsploader_upper_v",
            "desc": "使用-V参数运行hdsploader命令，检查其版本信息"
        },
        {
            "name": "test_alsa-tools-firmware_hdsploader_upper_h",
            "desc": "使用-H参数运行hdsploader命令，检查其帮助信息"
        },
        {
            "name": "test_alsa-tools-firmware_hdsploader_upper_d",
            "desc": "使用-D参数并指定设备文件运行hdsploader命令，检查其向指定设备加载固件的功能"
        },
        {
            "name": "test_alsa-tools-firmware_mixartloader_c",
            "desc": "测试使用-c参数指定声卡编号"
        },
        {
            "name": "test_alsa-tools-firmware_pcxhrloader_upper_d",
            "desc": "测试pcxhrloader命令的-D参数，用于指定设备名称"
        },
        {
            "name": "test_alsa-tools-firmware_usx2yloader_u",
            "desc": "使用-u参数指定USB设备进行加载"
        }
    ]
}